Bug 13476 - При отсутствии рабочего каталога, указанного hsh - неверная диагностика
: При отсутствии рабочего каталога, указанного hsh - неверная диагностика
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hasher)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-20 15:30 by
Modified: 2009-05-10 09:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-20 15:31:47
При отсутствии рабочего каталога, указанного hsh - неверная диагностика.
hsh /space/hasher
при отсутствии /space/hasher
выдает сообщение об ошибке не на ту директорию а на $HOME/hasher
[denis@ibmtest TestHep]$ rm -rf /space/hasher
[denis@ibmtest TestHep]$ gear --hasher -- hsh /space/hasher
/usr/bin/hsh-sh-functions: line 309: cd: /home/denis/hasher: Нет такого файла
или каталога
[denis@ibmtest TestHep]$              



Expected Results:  
правильная диагностика
------- Comment #1 From 2007-12-20 20:27:17 -------
Fixed in 1.3.1-alt1-4-gd16c2ea